.. AUTO-GENERATED FILE. DO NOT EDIT. store-printer-profiles-patch-one ================================ Source ------ - Repository: ``jef-systems/jef-store-backend`` - Source Run ID: ``25334823297`` - Source SHA: ``69cb846339fa14db005aec45414a4a94ec2a821e`` - Module: ``store`` - Documentation Scope: ``async`` - Lambda: ``jef-store-patch-50`` Endpoint -------- - API Name: ``jef-store`` - Action Name: ``patch`` - Method: ``PATCH`` - Scope Label: ``Async`` - Resource Path: ``/store-printer-profiles-patch-one`` - Complete Endpoint: ``https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-printer-profiles-patch-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-patch-50`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-store-patch-50 Module: jef-store Action: patch Method: PATCH Invocation Mode: ASYNC Resource Path: /store-printer-profiles-patch-one API Gateway Response: - status_code: 202 - message: Request accepted for asynchronous processing. Table: - table: jef-store-printer-profiles Payload Example: - pk: printer-profile-1001-0001 - gsi_1_pk: 1001 - gsi_1_sk: EMP-1001-0001 - gsi_2_pk: device-1001-0001 - gsi_2_sk: 2026-05-04T09:07:00+08:00 - printer_profile_id: printer-profile-1001-0001 - entity_number: 1001 - employee_number: EMP-1001-0001 - device_id: device-1001-0001 - device_name: Kitchen Production Printer - service_uuid: 988dba6f-a1b9-5953-b723-4371ad194c94 - characteristic_uuid: 9c4c2725-5ed5-5b98-83c6-6166a3ca51ed - write_mode: Pandan Coconut Sea Salt Latte write mode 1001-0001 - environment: Pandan Coconut Sea Salt Latte environment 1001-0001 - is_default: true - last_connected_at: 2026-05-04T09:07:00+08:00 - is_active: true - is_deleted: false - deleted_at: - created_at: 2026-05-04T09:07:00+08:00 - updated_at: 2026-05-04T09:07:00+08:00 - idempotency_key: 60a6d21d-46c0-5d66-ae76-de89de7fce70 - schema_version: 1001 - version: 1001 Payload Schema: - pk: string-{printer_profile_id} - gsi_1_pk: string-{entity_number} - gsi_1_sk: string-{employee_number} - gsi_2_pk: string-{device_id} - gsi_2_sk: string-{updated_at} - printer_profile_id: string - entity_number: string - employee_number: string - device_id: string - device_name: string - service_uuid: string - characteristic_uuid: string - write_mode: string - environment: string - is_default: boolean - last_connected_at: string - is_active: boolean - is_deleted: boolean - deleted_at: string - created_at: string - updated_at: string - idempotency_key: string - schema_version: number - version: number Response Schema: - is_accepted: boolean - message: string Request Payload --------------- .. code-block:: json { "pk": "printer-profile-1001-0001", "gsi_1_pk": "1001", "gsi_1_sk": "EMP-1001-0001", "gsi_2_pk": "device-1001-0001", "gsi_2_sk": "2026-05-04T09:07:00+08:00", "printer_profile_id": "printer-profile-1001-0001", "entity_number": "1001", "employee_number": "EMP-1001-0001", "device_id": "device-1001-0001", "device_name": "Kitchen Production Printer", "service_uuid": "988dba6f-a1b9-5953-b723-4371ad194c94", "characteristic_uuid": "9c4c2725-5ed5-5b98-83c6-6166a3ca51ed", "write_mode": "Pandan Coconut Sea Salt Latte write mode 1001-0001", "environment": "Pandan Coconut Sea Salt Latte environment 1001-0001", "is_default": "true", "last_connected_at": "2026-05-04T09:07:00+08:00", "is_active": "true", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "60a6d21d-46c0-5d66-ae76-de89de7fce70", "schema_version": "1001", "version": "1001" } Response -------- .. code-block:: json { "is_accepted": "boolean", "message": "string" } CMD curl -------- .. code-block:: text curl -X PATCH "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-printer-profiles-patch-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"printer-profile-1001-0001\", \"gsi_1_pk\": \"1001\", \"gsi_1_sk\": \"EMP-1001-0001\", \"gsi_2_pk\": \"device-1001-0001\", \"gsi_2_sk\": \"2026-05-04T09:07:00+08:00\", \"printer_profile_id\": \"printer-profile-1001-0001\", \"entity_number\": \"1001\", \"employee_number\": \"EMP-1001-0001\", \"device_id\": \"device-1001-0001\", \"device_name\": \"Kitchen Production Printer\", \"service_uuid\": \"988dba6f-a1b9-5953-b723-4371ad194c94\", \"characteristic_uuid\": \"9c4c2725-5ed5-5b98-83c6-6166a3ca51ed\", \"write_mode\": \"Pandan Coconut Sea Salt Latte write mode 1001-0001\", \"environment\": \"Pandan Coconut Sea Salt Latte environment 1001-0001\", \"is_default\": \"true\", \"last_connected_at\": \"2026-05-04T09:07:00+08:00\", \"is_active\": \"true\", \"is_deleted\": \"false\", \"deleted_at\": \"\", \"created_at\": \"2026-05-04T09:07:00+08:00\", \"updated_at\": \"2026-05-04T09:07:00+08:00\", \"idempotency_key\": \"60a6d21d-46c0-5d66-ae76-de89de7fce70\", \"schema_version\": 1001, \"version\": 1001}" PowerShell curl --------------- .. code-block:: text curl.exe -X PATCH "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-printer-profiles-patch-one" -H "Content-Type: application/json" --data-raw '{"pk": "printer-profile-1001-0001", "gsi_1_pk": "1001", "gsi_1_sk": "EMP-1001-0001", "gsi_2_pk": "device-1001-0001", "gsi_2_sk": "2026-05-04T09:07:00+08:00", "printer_profile_id": "printer-profile-1001-0001", "entity_number": "1001", "employee_number": "EMP-1001-0001", "device_id": "device-1001-0001", "device_name": "Kitchen Production Printer", "service_uuid": "988dba6f-a1b9-5953-b723-4371ad194c94", "characteristic_uuid": "9c4c2725-5ed5-5b98-83c6-6166a3ca51ed", "write_mode": "Pandan Coconut Sea Salt Latte write mode 1001-0001", "environment": "Pandan Coconut Sea Salt Latte environment 1001-0001", "is_default": "true", "last_connected_at": "2026-05-04T09:07:00+08:00", "is_active": "true", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "60a6d21d-46c0-5d66-ae76-de89de7fce70", "schema_version": 1001, "version": 1001}'